net.sourceforge.pmd.properties

## Class EnumeratedPropertyTest

- java.lang.Object
- - net.sourceforge.pmd.properties.AbstractPropertyDescriptorTester
  - - net.sourceforge.pmd.properties.EnumeratedPropertyTest

    public class EnumeratedPropertyTest
    extends AbstractPropertyDescriptorTester

Evaluates the functionality of the EnumeratedProperty descriptor by testing its ability to catch creation errors (illegal args), flag invalid selections, and serialize/deserialize selection options.

Author:
  Brian Remedios

### Field Summary

### Fields inherited from class net.sourceforge.pmd.properties.AbstractPropertyDescriptorTester

`allChars, alphaChars, alphaNumericChars, digitChars, punctuationChars, whitespaceChars`

### Constructor Summary

Constructors
Constructor and Description
`EnumeratedPropertyTest()`

### Method Summary

Methods
`protected PropertyDescriptor` `createBadProperty(boolean multiValue)` Method createBadProperty.
`protected Object` `createBadValue(int count)` Returns a (count) number of values that are not in the set of legal values.
`protected PropertyDescriptor` `createProperty(boolean multiValue)` Method createProperty.
`protected Object` `createValue(int count)` Method createValue.
`static junit.framework.Test` `suite()`

### Methods inherited from class net.sourceforge.pmd.properties.AbstractPropertyDescriptorTester

`filter, randomBool, randomChar, randomChoice, randomDouble, randomFloat, randomInt, randomInt, randomString, testAsDelimitedString, testConstructors, testErrorFor, testErrorForBad, testType, testValueFrom`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EnumeratedPropertyTest

    public EnumeratedPropertyTest()

### Method Detail

#### createValue

    protected Object createValue(int count)

Method createValue.

Specified by:
  `createValue` in class `AbstractPropertyDescriptorTester`
Parameters:
  `count` - int
Returns:
  Object

#### createBadValue

    protected Object createBadValue(int count)

Returns a (count) number of values that are not in the set of legal values.

Specified by:
  `createBadValue` in class `AbstractPropertyDescriptorTester`
Parameters:
  `count` - int
Returns:
  Object

#### createProperty

    protected PropertyDescriptor createProperty(boolean multiValue)

Method createProperty.

Specified by:
  `createProperty` in class `AbstractPropertyDescriptorTester`
Parameters:
  `multiValue` - boolean
Returns:
  PropertyDescriptor

#### createBadProperty

    protected PropertyDescriptor createBadProperty(boolean multiValue)

Method createBadProperty.

Specified by:
  `createBadProperty` in class `AbstractPropertyDescriptorTester`
Parameters:
  `multiValue` - boolean
Returns:
  PropertyDescriptor

#### suite

    public static junit.framework.Test suite()